import * as plugins from './plugins.js';

@plugins.smartdata.Manager()
export class BusinessRecord extends plugins.smartdata.SmartDataDbDoc<BusinessRecord, BusinessRecord> {
  
  @plugins.smartdata.unI()
  id: string;
  
  @plugins.smartdata.svDb()
  data: {
    name?: string,
    address?: string,
    postalCode?: string,
    city?: string,
    country?: string,
    phone?: string,
    fax?: string,
    email?: string,
    website?: string,
    businessType?: string,
    registrationNumber?: string,
    registrationCourt?: string,
    legalForm?: string,
    managingDirectors?: string[],
    boardOfDirectors?: string[],
    supervisoryBoard?: string[],
    foundingDate?: string,
    capital?: string,
    purpose?: string,
    lastUpdate?: string
  } = {};
}